=== xbmc/settings/windows/CMakeLists.txt ===
set(SOURCES GUIControlSettings.cpp
            GUIWindowSettings.cpp
            GUIWindowSettingsCategory.cpp
            GUIWindowSettingsScreenCalibration.cpp)

set(HEADERS GUIControlSettings.h
            GUIWindowSettings.h
            GUIWindowSettingsCategory.h
            GUIWindowSettingsScreenCalibration.h)

core_add_library(settings_windows)
