=== debian/changelog ===
kodi (2:20.0+dfsg-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Disable the ffmpeg 5 patch.
  * Set minimum ffmpeg to 4.4.1.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 24 Jan 2023 15:46:51 -0800

kodi (2:20.0+dfsg-1) unstable; urgency=medium

  * New upstream version 20.0+dfsg
  * d/rules: Add alpha and arm64 overrides
  * Refresh ports patch
  * Refresh libdvd patch
  * Refresh cdatetime-std-chrono patchset
  * Drop patches merged upstream
  * Refresh ffmpeg5 patch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 21 Jan 2023 18:03:44 +0000
