## kodi 20.0+dfsg

=== debian/changelog ===
kodi (2:20.0+dfsg-2) unstable; urgency=high

  * s/gbp.conf: Switch to versioned upstream branches
  * Fix CVE-2023-23082 (Closes: #1031048)

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 13 Feb 2023 10:43:13 +0000
