=== xbmc/cores/RetroPlayer/guicontrols/CMakeLists.txt ===
set(SOURCES GUIGameControl.cpp
            GUIRenderSettings.cpp
)

set(HEADERS GUIGameControl.h
            GUIRenderSettings.h
)

core_add_library(retroplayer_guicontrols)
